%global npm_name iconv-lite
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.4.21
Release: %mkrel 6
Summary: Convert character encodings in pure javascript
License: MIT
Group: Development/Other
URL: https://github.com/ashtuchkin/iconv-lite
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(safer-buffer)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr encodings %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc Changelog.md
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.4.21-6.mga10
+ Revision: 2209349
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.4.21-5.mga9
+ Revision: 1819915
- Mageia 9 Mass Rebuild

* Fri May 15 2020 joequant <joequant> 0.4.21-4.mga8
+ Revision: 1583964
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.4.21-3.mga8
+ Revision: 1502808
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.21-2.mga7
+ Revision: 1280508
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 0.4.21-1.mga7
+ Revision: 1227326
- Fix nodejs dependencies

* Mon Feb 08 2016 umeabot <umeabot> 0.2.11-2.mga6
+ Revision: 950288
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 0.2.11-1.mga5
+ Revision: 793733
- imported package nodejs-iconv-lite


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 0.2.11-1.mga5
- import from FC

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.11-1
- update to upstream release 0.2.11

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-3
- fix ExclusiveArch usage

* Wed Jul 10 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-2
- do not package generation/ directory

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-1
- initial package
